Une place pour une véritable innovation. Partagez vos propres utilitaires créés avec la communauté Manjaro.
Questions et discussions sur la programmation et le codage.
Répondre

[Abandon] Erreur compilation

#1Messageil y a 3 semaines

:bjr:
J'essaie de compiler 2ManDVD de la façon suivante:

[andson@andre-pc 2ManDVD]$ qmake 2ManDVD.pro
[andson@andre-pc 2ManDVD]$ make
Make me renvoie cette erreur !

widgets/qtcolortriangle.h:50:10: erreur fatale: QtGui/QWidget : Aucun fichier ou dossier de ce type
 #include <QtGui/QWidget>
La bibliothèque utilisée pour le programme est Qt4 j'ai donc vérifié :

[andson@andre-pc 2ManDVD]$ qmake -v
QMake version 3.1
Using Qt version 5.11.2 in /usr/lib
Si je comprends bien j'utilise Qt5. Qt4 étant installé comment procéder pour m'en servir pour la compilation. J'ai bien pensé à supprimer momentanément Qt5 mais je suis pas certain que ce soit une bonne idée. :siffle
Une piste ?
Modifié en dernier par andson le 21 Nov 2018, 17:46, modifié 2 fois.

[Abandon] Erreur compilation

#2Messageil y a 3 semaines

salut,

bien sûr il n'est pas possible de supprimer qt5 sinon on supprimer tout plasma ...

D'après le site et la recette aur c'est qmake-qt4 qu'il faut utiliser :saispas:

ps: tu as aussi les nombreuses dépendances dans le pkgbuild :wink:

[Abandon] Erreur compilation

#3Messageil y a 3 semaines

salut,

Les dépendances sont installées suite à une tentative via AUR qui n'à pas aboutie. J'ai également déjà essayé la commande avec l'option "qt4" mais elle me génère aussi une erreur. Ce que je ne comprends pas c'est pourquoi
"qmake -v" me parle de qt3 qui n'est pas installé et ignore complètement qt4 bien présent.

Bonne journée

[Abandon] Erreur compilation

#4Messageil y a 3 semaines

Salut,

C'est pourtant explicite, la version de Qmake est la 3.1 et utilise Qt version 5.11.2.

[Abandon] Erreur compilation

#5Messageil y a 3 semaines

Salut,

Oups ! Jamais confondre vitesse et précipitation...même en lecture. :siffle

Répondre